#include <iostream>
#include <cmath>

using namespace std;
int main()
{
    int n, k, resenje;
    cin>>n>>k;
    int p[n];
    for (int i=0;i<n;i++)
    {
        cin>>p[i];
    }
    for (int i=0;i<n;i++)
    {
        if (p[i]==k)
        {
            if (i==n-1)
            {
                resenje=p[0];
            }
            else
            {
                resenje=p[i+1];
            }
        }
    }
    cout<<resenje;
    return 0;
}